WordPerfect 2020 thinks I am running Windows XP

Questions about Wine on Linux
Post Reply
LMLM
Level 2
Level 2
Posts: 46
Joined: Thu Feb 26, 2015 8:13 pm

WordPerfect 2020 thinks I am running Windows XP

Post by LMLM » Thu Apr 22, 2021 3:40 am

I have my Windows version set as "Windows 7" in winecfg. When I try to install WordPerfect 2020, it says:
Setup Complete
Your computer has not been modified.
WordPerfect Office 2020 cannot be installed on Windows XP or Windows Vista. Please upgrade the operating system of your computer, and try again. Click Finish to exit the setup.
I tried setting my Windows version as "Windows 8" in winecfg. Same problem.

Is there something I can do to trick the WordPerfect Office installer?

spoon0042
Level 6
Level 6
Posts: 519
Joined: Thu Dec 24, 2009 11:00 am

Re: WordPerfect 2020 thinks I am running Windows XP

Post by spoon0042 » Thu Apr 22, 2021 7:44 pm

What wine version are you using? And can you post any terminal output?

LMLM
Level 2
Level 2
Posts: 46
Joined: Thu Feb 26, 2015 8:13 pm

Re: WordPerfect 2020 thinks I am running Windows XP

Post by LMLM » Thu Apr 22, 2021 9:19 pm

Hi. It's wine-staging 4.13.

The forum says my terminal output exceeds the maximum number of characters so I pasted the output here:

https://controlc.com/c86ae34d

Thank you for your help.

spoon0042
Level 6
Level 6
Posts: 519
Joined: Thu Dec 24, 2009 11:00 am

Re: WordPerfect 2020 thinks I am running Windows XP

Post by spoon0042 » Sun Apr 25, 2021 7:35 pm

You could try a more recent version, either devel or staging, 6.7 just released Friday.

I was able to start installing the trial version but it appears to use some DRM that prevented going further.

LMLM
Level 2
Level 2
Posts: 46
Joined: Thu Feb 26, 2015 8:13 pm

Re: WordPerfect 2020 thinks I am running Windows XP

Post by LMLM » Mon Apr 26, 2021 12:41 am

spoon0042 wrote:
Sun Apr 25, 2021 7:35 pm
You could try a more recent version, either devel or staging, 6.7 just released Friday.
What version do you have?
The latest I can get from my distro's repository is 5.17.2. But I installed it and it wouldn't run. Some error like "failed to start wineboot c00000e5."
I downgraded to 5.9 and still had the same problem.
So I panicked and downgraded back to 4.13. At least it works. I'm afraid I won't be able to upgrade from 4.x. The official repository has 5.17.2, but it doesn't even run.
spoon0042 wrote:
Sun Apr 25, 2021 7:35 pm
I was able to start installing the trial version but it appears to use some DRM that prevented going further.
I am aware of it. I ran that installer on a Windows 8 machine and it says I need to request a temporary license to try the software. But I have no intention of ever running it on Windows, I might run it on Linux, so I figured I should check if it will run on Linux in the first place, otherwise I am not at all interested.

Many thanks for your interest and help.

LMLM
Level 2
Level 2
Posts: 46
Joined: Thu Feb 26, 2015 8:13 pm

Re: WordPerfect 2020 thinks I am running Windows XP

Post by LMLM » Mon Apr 26, 2021 5:30 pm

I managed to upgrade to 5.6. Now the installer runs, but...

It won't run if I click it in the file manager. Other executables do, this installer doesn't.

However, it runs if I open the terminal in that directory and run $ wine Setup.exe. I have no idea why.

Then it runs and I see a ton of output scrolling behind it (because it is much smaller than my screen area), and I can only advance a couple of steps before it crashes. Sometimes, it crashes even before that.

What version do you have exactly?

LMLM
Level 2
Level 2
Posts: 46
Joined: Thu Feb 26, 2015 8:13 pm

Re: WordPerfect 2020 thinks I am running Windows XP

Post by LMLM » Mon Apr 26, 2021 6:35 pm

I'm afraid I'm going to have to give up on this. I upgraded to 5.12 and can't go any further. 5.13, 14, 15, 16 and 17 all refuse to run on Debian Stretch.

As to WordPerfect, the installer runs but crashes before it begins the installation. Too bad.

spoon0042
Level 6
Level 6
Posts: 519
Joined: Thu Dec 24, 2009 11:00 am

Re: WordPerfect 2020 thinks I am running Windows XP

Post by spoon0042 » Tue Apr 27, 2021 6:30 am

Oh. It looks like winehq no longer builds packages for stretch, only the current stable release (buster) and testing. fwiw I think I tried with 6.5 or 6.6.

Post Reply